Skocz do zawartości
plantator

TUTORIAL Powrót z GPE [5.0.1] na stock [4.4.4] xt1032

    Rekomendowane odpowiedzi

    plantator

    Autor tutoriala nie ponosi odpowiedzialności za wszelkie uceglenia/problemy/bricki/bootlopy etc jakie mogą powstać podczas lub po zakończeniu opisanych operacji

    Poradnik stworzony i przetestowany na xt1032

    Powrót z romu GPE 5.0.1 na stock EU 4.4.4

    Zakładam że jeżeli ktoś był w stanie wgrać GPE posiada minimalną potrzebną wiedzę jak i wszystkie sterowniki do takich czynności.

    Krok pierwszy powrót z GPE 5.0.1 na GPE 4.4.4
    Należy zastosować się do tego poradnika: [Guide][Video]XT1033 XT1032 Downgrade Lollip… | Moto G | XDA Forums

    Czyli: włącz debugowanie tak dla bezpieczeństwa, napewno nie zaszkodzi
    ściągnij plik: https://mega.co.nz/#!sZYQibbI!4pU2xKIos6u3HydA7YZgO4Wn5wTAcCkPH9KhoMu MD7M
    wypakuj dowolnie
    restart do bootloadera, podepnij pod komputer
    uruchom plik w wypakowanym folderze o nazwie 5.0to4.4.4.bat
    plik wykona flash niższej wersji GPE bez flashowania plików odpowiedzialnych za bootloader oraz podział partycji czyli sflaszuje te linijki:

    mfastboot flash boot boot.img
    
    mfastboot flash recovery recovery.img
    
    mfastboot flash system system.img_sparsechunk.0
    
    mfastboot flash system system.img_sparsechunk.1
    
    mfastboot flash system system.img_sparsechunk.2
    
    mfastboot flash modem NON-HLOS.bin
    
    mfastboot erase modemst1
    
    mfastboot erase modemst2
    
    mfastboot flash fsg fsg.mbn
    
    mfastboot erase cache
    
    mfastboot erase userdata
    
    mfastboot reboot



    Po zakończeniu motka uruchomi się ponownie, przez pierwszy ekran będzie przelatywała migocząca kreska, blokada i odblokowanie ekranu eliminuje ten problem.

    Witamy na GPE KitKat 4.4.4 czyli w połowie drogi.

    Kolejnym krokiem jest sflashowanie stock 4.4.4

    Cały system pobrałem z Stock firmware images - Post #348 - XDA Forums
    czyli retail EU xt1032, pewnie działało by również z GB

    po pobraniu wypakuj do folderu z którego będzie flash czyli tam gdzie są sterowniki adb i mfastboot

    po tym ponownie uruchom debugowanie usb, restart do bootloadera, podepnij pod komputer i flash tylko i wyłącznie linijek które podaje, nie radzę próbować flashu bootloadera oraz gpt.bin może o załatwić telefon:
     

    mfastboot flash logo logo.bin
    
    mfastboot flash boot boot.img
    
    mfastboot flash recovery recovery.img
    
    mfastboot flash system system.img_sparsechunk.0
    
    mfastboot flash system system.img_sparsechunk.1
    
    mfastboot flash system system.img_sparsechunk.2
    
    mfastboot flash modem NON-HLOS.bin
    
    mfastboot erase modemst1
    
    mfastboot erase modemst2
    
    mfastboot flash fsg fsg.mbn
    
    mfastboot erase cache
    
    mfastboot erase userdata
    
    mfastboot reboot

    po uruchomieniu może znowu wystąpić migotanie, zastosować się do rady powyżej.

    Witam na retail EU 4.4.4 KitKat

     

    Edytowane przez Vangreen
    • Lubię to! 2

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Czy bootloader z i gpt.bin z lollipopa nie koliduje w jakiś sposób z kitkatem?

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach
    plantator

    w zauważalny sposób tylko tą kreseczką migoczącą po restarcie, nie powinien stwarzać problemów skoro dało się przejść z stock soak BR na GPE, telefon działa normalnie, wszystko jak trzeba

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Pobawiłem się trochę i wróciłem bez problemu do 4.4.4 GPe, pytanie jak wrócić teraz do 5.0.1? Po pobraniu lizaka przez OTA i próbie instalacji pojawia się błąd a jak próbuję zainstalować przez sideload to wyskakuje installation aborted

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach
    plantator

    przez recovery? install update i wybierasz plik z pamięci wewnętrznej

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Jestem teraz na 4.4.4 GPe. Chciałbym zainstalować ponownie 5.0.1 GPe ale ani przez OTA nie mogę bo niby aktualizacja się pobiera, telefon się restaruje i zaczyna instalację ale w połowie wyskakuje BŁĄD. Próbuję też za pomocą tego poradnika http://forum.android.com.pl/f1089/gpe-lollipop-5-0-1-z-kaa-dego-kk-i-brazylijskiego-lollipop-487197/ Zaczynam od punktu 6. Po kliknięciu w sideload zaczyna się instalacja i po chwili wyskakuje INSTALLATION ABORTED.

    Jeżeli chodzi o recovery to mam stockowe i nie ma tam opcji update from sd card

    ---------- Post dołączono o 10:34 ---------- Poprzedni post napisano o 10:15 ----------

    Hmmm...teraz poszło przez sideload. Po ponownej instalacji 4.4.4 GPe nie konfigurowałem telefonu, po prostu po pojawieniu się pierwszej planszy z wyborem języka wyłączyłem telefon i wszedłem w recovery-update adb i instalacja poszła. Wcześniej konfigurowałem 4.4.4 GPe i prawdopodobnie wtedy tworzyły się jakieś pliki/zmieniało się coś co uniemożliwiało instalację 5.0.1

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Wgrałem GPe 4.4.4, a po sflashowaniu retail EU zawiesza się na ostrzeżeniu o odblokowanym bootloaderze... Co jest nie tak?

    Edytowane przez noniewiem

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach
    plantator

    na pewno nie próbowałeś nawet flashować wgrywając retail EU motoboot.img ani gpt.bin?

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Wszystko robiłem wg tego poradnika, gdy wgrywam z powrotem GPe 4.4.4 to normalnie działa, podczas flashowania tych linijek:

    mfastboot flash system system.img_sparsechunk.0

    mfastboot flash system system.img_sparsechunk.1

    mfastboot flash system system.img_sparsechunk.2

    na telefonie na różowo wyświetla się "Image is too large" (mniej więcej) w przypadku stocka 4.4.4.

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Wygląda na to, że trzeba też wgrać gpt.bin dla partycji stocka ;)

    Udostępnij tę odpowiedź


    Odnośnik do odpowiedzi
    Udostępnij na innych stronach

    Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

    Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

    Zarejestruj nowe konto

    Załóż nowe konto. To bardzo proste!

    Zarejestruj się

    Zaloguj się

    Posiadasz już konto? Zaloguj się poniżej.

    Zaloguj się

    • Ostatnio przeglądający   0 użytkowników

      Brak zarejestrowanych użytkowników przeglądających tę stronę.

    x